Package org.springframework.web.servlet.support

# Class JspAwareRequestContext

java.lang.Object
org.springframework.web.servlet.support.RequestContext
org.springframework.web.servlet.support.JspAwareRequestContext

public class JspAwareRequestContext extends RequestContext
JSP-aware (and JSTL-aware) subclass of RequestContext, allowing for population of the context from a `jakarta.servlet.jsp.PageContext`.

This context will detect a JSTL locale attribute in page/request/session/application scope, in addition to the fallback locale strategy provided by the base class.

Since:
  1.1.4
Author:
  Juergen Hoeller
See Also:
  - `getFallbackLocale()`

## Field Summary

### Fields inherited from class org.springframework.web.servlet.support.RequestContext

`DEFAULT_THEME_NAME, jstlPresent, WEB_APPLICATION_CONTEXT_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`JspAwareRequestContext(PageContext pageContext)`
Create a new JspAwareRequestContext for the given page context, using the request attributes for Errors retrieval.
`JspAwareRequestContext(PageContext pageContext, Map<String,Object> model)`
Create a new JspAwareRequestContext for the given page context, using the given model attributes for Errors retrieval.

## Method Summary

Modifier and Type
Method
Description
`protected Locale`
`getFallbackLocale()`
This implementation checks for a JSTL locale attribute in page, request, session or application scope; if not found, returns the `HttpServletRequest.getLocale()`.
`protected TimeZone`
`getFallbackTimeZone()`
This implementation checks for a JSTL time zone attribute in page, request, session or application scope; if not found, returns `null`.
`protected final PageContext`
`getPageContext()`
Return the underlying PageContext.

### Methods inherited from class org.springframework.web.servlet.support.RequestContext

`changeLocale, changeLocale, changeTheme, changeTheme, getBindStatus, getBindStatus, getContextPath, getContextUrl, getContextUrl, getDefaultHtmlEscape, getErrors, getErrors, getFallbackTheme, getLocale, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessageSource, getModel, getModelObject, getPathToServlet, getQueryString, getRequest, getRequestDataValueProcessor, getRequestUri, getResponseEncodedHtmlEscape, getServletContext, getTheme, getThemeMessage, getThemeMessage, getThemeMessage, getThemeMessage, getThemeMessage, getThemeMessage, getThemeMessage, getTimeZone, getUrlPathHelper, getWebApplicationContext, isDefaultHtmlEscape, isResponseEncodedHtmlEscape, setDefaultHtmlEscape, setUrlPathHelper`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JspAwareRequestContext

public JspAwareRequestContext(PageContext pageContext)
Create a new JspAwareRequestContext for the given page context, using the request attributes for Errors retrieval.

Parameters:
  `pageContext` - current JSP page context

### JspAwareRequestContext

public JspAwareRequestContext(PageContext pageContext, @Nullable Map<String,Object> model)
Create a new JspAwareRequestContext for the given page context, using the given model attributes for Errors retrieval.

Parameters:
  `pageContext` - current JSP page context
  `model` - the model attributes for the current view (can be `null`, using the request attributes for Errors retrieval)

## Method Details

### getPageContext

protected final PageContext getPageContext()
Return the underlying PageContext. Only intended for cooperating classes in this package.

### getFallbackLocale

protected Locale getFallbackLocale()
This implementation checks for a JSTL locale attribute in page, request, session or application scope; if not found, returns the `HttpServletRequest.getLocale()`.

Overrides:
  `getFallbackLocale` in class `RequestContext`
Returns:
  the fallback locale (never `null`)
See Also:
  - `ServletRequest.getLocale()`

### getFallbackTimeZone

@Nullable protected TimeZone getFallbackTimeZone()
This implementation checks for a JSTL time zone attribute in page, request, session or application scope; if not found, returns `null`.

Overrides:
  `getFallbackTimeZone` in class `RequestContext`
Returns:
  the fallback time zone (or `null` if none derivable from the request)